Loading...
Searching...
No Matches
casacore::IPositionComparator Class Reference

Allows a way for IPosition to be used as keys in a std::map. More...

`#include <IPosition.h>`

## Public Member Functions

bool | operator() (const IPosition &lhs, const IPosition &rhs) const
| if sizes aren't equal, returns true if lhs.size() < rhs.size(), false otherwise.

## Detailed Description

Allows a way for IPosition to be used as keys in a std::map.

Definition at line 442 of file IPosition.h.

## Member Function Documentation

## operator()()

bool casacore::IPositionComparator::operator() | ( | const IPosition & | lhs,
|  | const IPosition & | rhs ) const

if sizes aren't equal, returns true if lhs.size() < rhs.size(), false otherwise.

If sizes are equal, does an element by element comparison. The first corresponding elements that are not equal, returns true if the rhs element is less than the lhs element, false otherwise. Returns false if all elements are equal.

The documentation for this class was generated from the following file:

- casa/Arrays/IPosition.h